## org.h2.jdbc
Class JdbcResultSet

    java.lang.Object
      org.h2.message.TraceObject
          org.h2.jdbc.JdbcResultSet

All Implemented Interfaces:
  java.sql.ResultSet

    public class JdbcResultSet

extends TraceObject
implements java.sql.ResultSet

Represents a result set.

Column labels are case-insensitive, quotes are not supported. The first column has the column index 1.

Updatable result sets: Result sets are updatable when the result only contains columns from one table, and if it contains all columns of a unique index (primary key or other) of this table. Key columns may not contain NULL (because multiple rows with NULL could exist). In updatable result sets, own changes are visible, but not own inserts and deletes.

Field Summary

Fields inherited from class org.h2.message.TraceObject
`ARRAY, BLOB, CALLABLE_STATEMENT, CLOB, CONNECTION, DATA_SOURCE, DATABASE_META_DATA, PARAMETER_META_DATA, PREPARED_STATEMENT, RESULT_SET, RESULT_SET_META_DATA, SAVEPOINT, SQL_EXCEPTION, STATEMENT, trace, XA_DATA_SOURCE, XA_RESOURCE, XID`

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Method Summary
`boolean` `absolute(int rowNumber)` Moves the current position to a specific row.
`void` `afterLast()` Moves the current position to after the last row, that means after the end.
`void` `beforeFirst()` Moves the current position to before the first row, that means resets the result set.
`void` `cancelRowUpdates()` Cancels updating a row.
`void` `clearWarnings()` Clears all warnings.
`void` `close()` Closes the result set.
`void` `deleteRow()` Deletes the current row.
`int` `findColumn(java.lang.String columnLabel)` Searches for a specific column in the result set.
`boolean` `first()` Moves the current position to the first row.
`java.sql.Array` `getArray(int columnIndex)` Returns the value of the specified column as an Array.
`java.sql.Array` `getArray(java.lang.String columnLabel)` Returns the value of the specified column as an Array.
`java.io.InputStream` `getAsciiStream(int columnIndex)` Returns the value of the specified column as an input stream.
`java.io.InputStream` `getAsciiStream(java.lang.String columnLabel)` Returns the value of the specified column as an input stream.
`java.math.BigDecimal` `getBigDecimal(int columnIndex)` Returns the value of the specified column as a BigDecimal.
`java.math.BigDecimal` `getBigDecimal(int columnIndex, int scale)` Deprecated.
`java.math.BigDecimal` `getBigDecimal(java.lang.String columnLabel)` Returns the value of the specified column as a BigDecimal.
`java.math.BigDecimal` `getBigDecimal(java.lang.String columnLabel, int scale)` Deprecated.
`java.io.InputStream` `getBinaryStream(int columnIndex)` Returns the value of the specified column as an input stream.
`java.io.InputStream` `getBinaryStream(java.lang.String columnLabel)` Returns the value of the specified column as an input stream.
`java.sql.Blob` `getBlob(int columnIndex)` Returns the value of the specified column as a Blob.
`java.sql.Blob` `getBlob(java.lang.String columnLabel)` Returns the value of the specified column as a Blob.
`boolean` `getBoolean(int columnIndex)` Returns the value of the specified column as a boolean.
`boolean` `getBoolean(java.lang.String columnLabel)` Returns the value of the specified column as a boolean.
`byte` `getByte(int columnIndex)` Returns the value of the specified column as a byte.
`byte` `getByte(java.lang.String columnLabel)` Returns the value of the specified column as a byte.
`byte[]` `getBytes(int columnIndex)` Returns the value of the specified column as a byte array.
`byte[]` `getBytes(java.lang.String columnLabel)` Returns the value of the specified column as a byte array.
`java.io.Reader` `getCharacterStream(int columnIndex)` Returns the value of the specified column as a reader.
`java.io.Reader` `getCharacterStream(java.lang.String columnLabel)` Returns the value of the specified column as a reader.
`java.sql.Clob` `getClob(int columnIndex)` Returns the value of the specified column as a Clob.
`java.sql.Clob` `getClob(java.lang.String columnLabel)` Returns the value of the specified column as a Clob.
`int` `getConcurrency()` Gets the result set concurrency.
`java.lang.String` `getCursorName()` [Not supported] Gets the cursor name if it was defined.
`java.sql.Date` `getDate(int columnIndex)` Returns the value of the specified column as a java.sql.Date.
`java.sql.Date` `getDate(int columnIndex, java.util.Calendar calendar)` Returns the value of the specified column as a java.sql.Date using a specified time zone.
`java.sql.Date` `getDate(java.lang.String columnLabel)` Returns the value of the specified column as a java.sql.Date.
`java.sql.Date` `getDate(java.lang.String columnLabel, java.util.Calendar calendar)` Returns the value of the specified column as a java.sql.Date using a specified time zone.
`double` `getDouble(int columnIndex)` Returns the value of the specified column as a double.
`double` `getDouble(java.lang.String columnLabel)` Returns the value of the specified column as a double.
`int` `getFetchDirection()` Gets the fetch direction.
`int` `getFetchSize()` Gets the number of rows suggested to read in one step.
`float` `getFloat(int columnIndex)` Returns the value of the specified column as a float.
`float` `getFloat(java.lang.String columnLabel)` Returns the value of the specified column as a float.
`int` `getHoldability()` Returns the current result set holdability.
`int` `getInt(int columnIndex)` Returns the value of the specified column as an int.
`int` `getInt(java.lang.String columnLabel)` Returns the value of the specified column as an int.
`long` `getLong(int columnIndex)` Returns the value of the specified column as a long.
`long` `getLong(java.lang.String columnLabel)` Returns the value of the specified column as a long.
`java.sql.ResultSetMetaData` `getMetaData()` Gets the meta data of this result set.
`java.lang.Object` `getObject(int columnIndex)` Returns a column value as a Java object.
`java.lang.Object` `getObject(int columnIndex, java.util.Map<java.lang.String,java.lang.Class<?>> map)` [Not supported] Gets a column as a object using the specified type mapping.
`java.lang.Object` `getObject(java.lang.String columnLabel)` Returns a column value as a Java object.
`java.lang.Object` `getObject(java.lang.String columnLabel, java.util.Map<java.lang.String,java.lang.Class<?>> map)` [Not supported] Gets a column as a object using the specified type mapping.
`java.sql.Ref` `getRef(int columnIndex)` [Not supported] Gets a column as a reference.
`java.sql.Ref` `getRef(java.lang.String columnLabel)` [Not supported] Gets a column as a reference.
`int` `getRow()` Gets the current row number.
`short` `getShort(int columnIndex)` Returns the value of the specified column as a short.
`short` `getShort(java.lang.String columnLabel)` Returns the value of the specified column as a short.
`java.sql.Statement` `getStatement()` Returns the statement that created this object.
`java.lang.String` `getString(int columnIndex)` Returns the value of the specified column as a String.
`java.lang.String` `getString(java.lang.String columnLabel)` Returns the value of the specified column as a String.
`java.sql.Time` `getTime(int columnIndex)` Returns the value of the specified column as a java.sql.Time.
`java.sql.Time` `getTime(int columnIndex, java.util.Calendar calendar)` Returns the value of the specified column as a java.sql.Time using a specified time zone.
`java.sql.Time` `getTime(java.lang.String columnLabel)` Returns the value of the specified column as a java.sql.Time.
`java.sql.Time` `getTime(java.lang.String columnLabel, java.util.Calendar calendar)` Returns the value of the specified column as a java.sql.Time using a specified time zone.
`java.sql.Timestamp` `getTimestamp(int columnIndex)` Returns the value of the specified column as a java.sql.Timestamp.
`java.sql.Timestamp` `getTimestamp(int columnIndex, java.util.Calendar calendar)` Returns the value of the specified column as a java.sql.Timestamp using a specified time zone.
`java.sql.Timestamp` `getTimestamp(java.lang.String columnLabel)` Returns the value of the specified column as a java.sql.Timestamp.
`java.sql.Timestamp` `getTimestamp(java.lang.String columnLabel, java.util.Calendar calendar)` Returns the value of the specified column as a java.sql.Timestamp.
`int` `getType()` Get the result set type.
`java.io.InputStream` `getUnicodeStream(int columnIndex)` Deprecated.
`java.io.InputStream` `getUnicodeStream(java.lang.String columnLabel)` Deprecated.
`java.net.URL` `getURL(int columnIndex)` [Not supported]
`java.net.URL` `getURL(java.lang.String columnLabel)` [Not supported]
`java.sql.SQLWarning` `getWarnings()` Gets the first warning reported by calls on this object.
`void` `insertRow()` Inserts the current row.
`boolean` `isAfterLast()` Checks if the current position is after the last row, that means next() was called and returned false, and there was at least one row.
`boolean` `isBeforeFirst()` Checks if the current position is before the first row, that means next() was not called yet, and there is at least one row.
`boolean` `isClosed()` Returns whether this result set is closed.
`boolean` `isFirst()` Checks if the current position is row 1, that means next() was called once and returned true.
`boolean` `isLast()` Checks if the current position is the last row, that means next() was called and did not yet returned false, but will in the next call.
`boolean` `last()` Moves the current position to the last row.
`void` `moveToCurrentRow()` Moves the current position to the current row.
`void` `moveToInsertRow()` Moves the current position to the insert row.
`boolean` `next()` Moves the cursor to the next row of the result set.
`boolean` `previous()` Moves the cursor to the last row, or row before first row if the current position is the first row.
`void` `refreshRow()` Re-reads the current row from the database.
`boolean` `relative(int rowCount)` Moves the current position to a specific row relative to the current row.
`boolean` `rowDeleted()` Detects if the row was deleted (by somebody else or the caller).
`boolean` `rowInserted()` Detects if the row was inserted.
`boolean` `rowUpdated()` Detects if the row was updated (by somebody else or the caller).
`void` `setFetchDirection(int direction)` [Not supported] Sets (changes) the fetch direction for this result set.
`void` `setFetchSize(int rows)` Sets the number of rows suggested to read in one step.
`java.lang.String` `toString()` INTERNAL
`void` `updateArray(int columnIndex, java.sql.Array x)` [Not supported]
`void` `updateArray(java.lang.String columnLabel, java.sql.Array x)` [Not supported]
`void` `updateAsciiStream(int columnIndex, java.io.InputStream x)` Updates a column in the current or insert row.
`void` `updateAsciiStream(int columnIndex, java.io.InputStream x, int length)` Updates a column in the current or insert row.
`void` `updateAsciiStream(int columnIndex, java.io.InputStream x, long length)` Updates a column in the current or insert row.
`void` `updateAsciiStream(java.lang.String columnLabel, java.io.InputStream x)` Updates a column in the current or insert row.
`void` `updateAsciiStream(java.lang.String columnLabel, java.io.InputStream x, int length)` Updates a column in the current or insert row.
`void` `updateAsciiStream(java.lang.String columnLabel, java.io.InputStream x, long length)` Updates a column in the current or insert row.
`void` `updateBigDecimal(int columnIndex, java.math.BigDecimal x)` Updates a column in the current or insert row.
`void` `updateBigDecimal(java.lang.String columnLabel, java.math.BigDecimal x)` Updates a column in the current or insert row.
`void` `updateBinaryStream(int columnIndex, java.io.InputStream x)` Updates a column in the current or insert row.
`void` `updateBinaryStream(int columnIndex, java.io.InputStream x, int length)` Updates a column in the current or insert row.
`void` `updateBinaryStream(int columnIndex, java.io.InputStream x, long length)` Updates a column in the current or insert row.
`void` `updateBinaryStream(java.lang.String columnLabel, java.io.InputStream x)` Updates a column in the current or insert row.
`void` `updateBinaryStream(java.lang.String columnLabel, java.io.InputStream x, int length)` Updates a column in the current or insert row.
`void` `updateBinaryStream(java.lang.String columnLabel, java.io.InputStream x, long length)` Updates a column in the current or insert row.
`void` `updateBlob(int columnIndex, java.sql.Blob x)` Updates a column in the current or insert row.
`void` `updateBlob(int columnIndex, java.io.InputStream x)` Updates a column in the current or insert row.
`void` `updateBlob(int columnIndex, java.io.InputStream x, long length)` Updates a column in the current or insert row.
`void` `updateBlob(java.lang.String columnLabel, java.sql.Blob x)` Updates a column in the current or insert row.
`void` `updateBlob(java.lang.String columnLabel, java.io.InputStream x)` Updates a column in the current or insert row.
`void` `updateBlob(java.lang.String columnLabel, java.io.InputStream x, long length)` Updates a column in the current or insert row.
`void` `updateBoolean(int columnIndex, boolean x)` Updates a column in the current or insert row.
`void` `updateBoolean(java.lang.String columnLabel, boolean x)` Updates a column in the current or insert row.
`void` `updateByte(int columnIndex, byte x)` Updates a column in the current or insert row.
`void` `updateByte(java.lang.String columnLabel, byte x)` Updates a column in the current or insert row.
`void` `updateBytes(int columnIndex, byte[] x)` Updates a column in the current or insert row.
`void` `updateBytes(java.lang.String columnLabel, byte[] x)` Updates a column in the current or insert row.
`void` `updateCharacterStream(int columnIndex, java.io.Reader x)` Updates a column in the current or insert row.
`void` `updateCharacterStream(int columnIndex, java.io.Reader x, int length)` Updates a column in the current or insert row.
`void` `updateCharacterStream(int columnIndex, java.io.Reader x, long length)` Updates a column in the current or insert row.
`void` `updateCharacterStream(java.lang.String columnLabel, java.io.Reader x)` Updates a column in the current or insert row.
`void` `updateCharacterStream(java.lang.String columnLabel, java.io.Reader x, int length)` Updates a column in the current or insert row.
`void` `updateCharacterStream(java.lang.String columnLabel, java.io.Reader x, long length)` Updates a column in the current or insert row.
`void` `updateClob(int columnIndex, java.sql.Clob x)` Updates a column in the current or insert row.
`void` `updateClob(int columnIndex, java.io.Reader x)` Updates a column in the current or insert row.
`void` `updateClob(int columnIndex, java.io.Reader x, long length)` Updates a column in the current or insert row.
`void` `updateClob(java.lang.String columnLabel, java.sql.Clob x)` Updates a column in the current or insert row.
`void` `updateClob(java.lang.String columnLabel, java.io.Reader x)` Updates a column in the current or insert row.
`void` `updateClob(java.lang.String columnLabel, java.io.Reader x, long length)` Updates a column in the current or insert row.
`void` `updateDate(int columnIndex, java.sql.Date x)` Updates a column in the current or insert row.
`void` `updateDate(java.lang.String columnLabel, java.sql.Date x)` Updates a column in the current or insert row.
`void` `updateDouble(int columnIndex, double x)` Updates a column in the current or insert row.
`void` `updateDouble(java.lang.String columnLabel, double x)` Updates a column in the current or insert row.
`void` `updateFloat(int columnIndex, float x)` Updates a column in the current or insert row.
`void` `updateFloat(java.lang.String columnLabel, float x)` Updates a column in the current or insert row.
`void` `updateInt(int columnIndex, int x)` Updates a column in the current or insert row.
`void` `updateInt(java.lang.String columnLabel, int x)` Updates a column in the current or insert row.
`void` `updateLong(int columnIndex, long x)` Updates a column in the current or insert row.
`void` `updateLong(java.lang.String columnLabel, long x)` Updates a column in the current or insert row.
`void` `updateNull(int columnIndex)` Updates a column in the current or insert row.
`void` `updateNull(java.lang.String columnLabel)` Updates a column in the current or insert row.
`void` `updateObject(int columnIndex, java.lang.Object x)` Updates a column in the current or insert row.
`void` `updateObject(int columnIndex, java.lang.Object x, int scale)` Updates a column in the current or insert row.
`void` `updateObject(java.lang.String columnLabel, java.lang.Object x)` Updates a column in the current or insert row.
`void` `updateObject(java.lang.String columnLabel, java.lang.Object x, int scale)` Updates a column in the current or insert row.
`void` `updateRef(int columnIndex, java.sql.Ref x)` [Not supported]
`void` `updateRef(java.lang.String columnLabel, java.sql.Ref x)` [Not supported]
`void` `updateRow()` Updates the current row.
`void` `updateShort(int columnIndex, short x)` Updates a column in the current or insert row.
`void` `updateShort(java.lang.String columnLabel, short x)` Updates a column in the current or insert row.
`void` `updateString(int columnIndex, java.lang.String x)` Updates a column in the current or insert row.
`void` `updateString(java.lang.String columnLabel, java.lang.String x)` Updates a column in the current or insert row.
`void` `updateTime(int columnIndex, java.sql.Time x)` Updates a column in the current or insert row.
`void` `updateTime(java.lang.String columnLabel, java.sql.Time x)` Updates a column in the current or insert row.
`void` `updateTimestamp(int columnIndex, java.sql.Timestamp x)` Updates a column in the current or insert row.
`void` `updateTimestamp(java.lang.String columnLabel, java.sql.Timestamp x)` Updates a column in the current or insert row.
`boolean` `wasNull()` Returns whether the last column accessed was null.

Methods inherited from class org.h2.message.TraceObject
`debugCode, debugCodeAssign, debugCodeCall, debugCodeCall, debugCodeCall, getNextId, getTrace, getTraceId, getTraceObjectName, isDebugEnabled, isInfoEnabled, logAndConvert, quote, quoteArray, quoteBigDecimal, quoteBytes, quoteDate, quoteIntArray, quoteMap, quoteTime, quoteTimestamp, setTrace, unsupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### next

    public boolean next()
                 throws java.sql.SQLException

  Moves the cursor to the next row of the result set.

  Specified by:
    `next` in interface `java.sql.ResultSet`
  Returns:
    true if successful, false if there are no more rows
  Throws:
    `java.sql.SQLException`

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Gets the meta data of this result set.

  Specified by:
    `getMetaData` in interface `java.sql.ResultSet`
  Returns:
    the meta data
  Throws:
    `java.sql.SQLException`

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  Returns whether the last column accessed was null.

  Specified by:
    `wasNull` in interface `java.sql.ResultSet`
  Returns:
    true if the last column accessed was null
  Throws:
    `java.sql.SQLException`

### findColumn

    public int findColumn(java.lang.String columnLabel)
                   throws java.sql.SQLException

  Searches for a specific column in the result set. A case-insensitive search is made.

  Specified by:
    `findColumn` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the column index (1,2,...)
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### close

    public void close()
               throws java.sql.SQLException

  Closes the result set.

  Specified by:
    `close` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getStatement

    public java.sql.Statement getStatement()
                                    throws java.sql.SQLException

  Returns the statement that created this object.

  Specified by:
    `getStatement` in interface `java.sql.ResultSet`
  Returns:
    the statement or prepared statement, or null if created by a DatabaseMetaData call.
  Throws:
    `java.sql.SQLException`

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Gets the first warning reported by calls on this object.

  Specified by:
    `getWarnings` in interface `java.sql.ResultSet`
  Returns:
    null
  Throws:
    `java.sql.SQLException`

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Clears all warnings.

  Specified by:
    `clearWarnings` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getString

    public java.lang.String getString(int columnIndex)
                               throws java.sql.SQLException

  Returns the value of the specified column as a String.

  Specified by:
    `getString` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getString

    public java.lang.String getString(java.lang.String columnLabel)
                               throws java.sql.SQLException

  Returns the value of the specified column as a String.

  Specified by:
    `getString` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getInt

    public int getInt(int columnIndex)
               throws java.sql.SQLException

  Returns the value of the specified column as an int.

  Specified by:
    `getInt` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getInt

    public int getInt(java.lang.String columnLabel)
               throws java.sql.SQLException

  Returns the value of the specified column as an int.

  Specified by:
    `getInt` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex)
                                       throws java.sql.SQLException

  Returns the value of the specified column as a BigDecimal.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getDate

    public java.sql.Date getDate(int columnIndex)
                          throws java.sql.SQLException

  Returns the value of the specified column as a java.sql.Date.

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getTime

    public java.sql.Time getTime(int columnIndex)
                          throws java.sql.SQLException

  Returns the value of the specified column as a java.sql.Time.

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex)
                                    throws java.sql.SQLException

  Returns the value of the specified column as a java.sql.Timestamp.

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnLabel)
                                       throws java.sql.SQLException

  Returns the value of the specified column as a BigDecimal.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getDate

    public java.sql.Date getDate(java.lang.String columnLabel)
                          throws java.sql.SQLException

  Returns the value of the specified column as a java.sql.Date.

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getTime

    public java.sql.Time getTime(java.lang.String columnLabel)
                          throws java.sql.SQLException

  Returns the value of the specified column as a java.sql.Time.

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnLabel)
                                    throws java.sql.SQLException

  Returns the value of the specified column as a java.sql.Timestamp.

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getObject

    public java.lang.Object getObject(int columnIndex)
                               throws java.sql.SQLException

  Returns a column value as a Java object. The data is de-serialized into a Java object (on the client side).

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value or null
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getObject

    public java.lang.Object getObject(java.lang.String columnLabel)
                               throws java.sql.SQLException

  Returns a column value as a Java object. The data is de-serialized into a Java object (on the client side).

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value or null
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws java.sql.SQLException

  Returns the value of the specified column as a boolean.

  Specified by:
    `getBoolean` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getBoolean

    public boolean getBoolean(java.lang.String columnLabel)
                       throws java.sql.SQLException

  Returns the value of the specified column as a boolean.

  Specified by:
    `getBoolean` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getByte

    public byte getByte(int columnIndex)
                 throws java.sql.SQLException

  Returns the value of the specified column as a byte.

  Specified by:
    `getByte` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getByte

    public byte getByte(java.lang.String columnLabel)
                 throws java.sql.SQLException

  Returns the value of the specified column as a byte.

  Specified by:
    `getByte` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getShort

    public short getShort(int columnIndex)
                   throws java.sql.SQLException

  Returns the value of the specified column as a short.

  Specified by:
    `getShort` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getShort

    public short getShort(java.lang.String columnLabel)
                   throws java.sql.SQLException

  Returns the value of the specified column as a short.

  Specified by:
    `getShort` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getLong

    public long getLong(int columnIndex)
                 throws java.sql.SQLException

  Returns the value of the specified column as a long.

  Specified by:
    `getLong` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getLong

    public long getLong(java.lang.String columnLabel)
                 throws java.sql.SQLException

  Returns the value of the specified column as a long.

  Specified by:
    `getLong` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getFloat

    public float getFloat(int columnIndex)
                   throws java.sql.SQLException

  Returns the value of the specified column as a float.

  Specified by:
    `getFloat` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getFloat

    public float getFloat(java.lang.String columnLabel)
                   throws java.sql.SQLException

  Returns the value of the specified column as a float.

  Specified by:
    `getFloat` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getDouble

    public double getDouble(int columnIndex)
                     throws java.sql.SQLException

  Returns the value of the specified column as a double.

  Specified by:
    `getDouble` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getDouble

    public double getDouble(java.lang.String columnLabel)
                     throws java.sql.SQLException

  Returns the value of the specified column as a double.

  Specified by:
    `getDouble` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnLabel,
                                              int scale)
                                       throws java.sql.SQLException

  Deprecated.

  Returns the value of the specified column as a BigDecimal.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `scale` - the scale of the returned value
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex,
                                              int scale)
                                       throws java.sql.SQLException

  Deprecated.

  Returns the value of the specified column as a BigDecimal.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `scale` - the scale of the returned value
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int columnIndex)
                                         throws java.sql.SQLException

  Deprecated.

  [Not supported]

  Specified by:
    `getUnicodeStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(java.lang.String columnLabel)
                                         throws java.sql.SQLException

  Deprecated.

  [Not supported]

  Specified by:
    `getUnicodeStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(int columnIndex,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

  [Not supported] Gets a column as a object using the specified type mapping.

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(java.lang.String columnLabel,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

  [Not supported] Gets a column as a object using the specified type mapping.

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(int columnIndex)
                        throws java.sql.SQLException

  [Not supported] Gets a column as a reference.

  Specified by:
    `getRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(java.lang.String columnLabel)
                        throws java.sql.SQLException

  [Not supported] Gets a column as a reference.

  Specified by:
    `getRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int columnIndex,
                                 java.util.Calendar calendar)
                          throws java.sql.SQLException

  Returns the value of the specified column as a java.sql.Date using a specified time zone.

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `calendar` - the calendar
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getDate

    public java.sql.Date getDate(java.lang.String columnLabel,
                                 java.util.Calendar calendar)
                          throws java.sql.SQLException

  Returns the value of the specified column as a java.sql.Date using a specified time zone.

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `calendar` - the calendar
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getTime

    public java.sql.Time getTime(int columnIndex,
                                 java.util.Calendar calendar)
                          throws java.sql.SQLException

  Returns the value of the specified column as a java.sql.Time using a specified time zone.

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `calendar` - the calendar
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getTime

    public java.sql.Time getTime(java.lang.String columnLabel,
                                 java.util.Calendar calendar)
                          throws java.sql.SQLException

  Returns the value of the specified column as a java.sql.Time using a specified time zone.

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `calendar` - the calendar
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex,
                                           java.util.Calendar calendar)
                                    throws java.sql.SQLException

  Returns the value of the specified column as a java.sql.Timestamp using a specified time zone.

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `calendar` - the calendar
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnLabel,
                                           java.util.Calendar calendar)
                                    throws java.sql.SQLException

  Returns the value of the specified column as a java.sql.Timestamp.

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `calendar` - the calendar
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getBlob

    public java.sql.Blob getBlob(int columnIndex)
                          throws java.sql.SQLException

  Returns the value of the specified column as a Blob.

  Specified by:
    `getBlob` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getBlob

    public java.sql.Blob getBlob(java.lang.String columnLabel)
                          throws java.sql.SQLException

  Returns the value of the specified column as a Blob.

  Specified by:
    `getBlob` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getBytes

    public byte[] getBytes(int columnIndex)
                    throws java.sql.SQLException

  Returns the value of the specified column as a byte array.

  Specified by:
    `getBytes` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getBytes

    public byte[] getBytes(java.lang.String columnLabel)
                    throws java.sql.SQLException

  Returns the value of the specified column as a byte array.

  Specified by:
    `getBytes` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getBinaryStream

    public java.io.InputStream getBinaryStream(int columnIndex)
                                        throws java.sql.SQLException

  Returns the value of the specified column as an input stream.

  Specified by:
    `getBinaryStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getBinaryStream

    public java.io.InputStream getBinaryStream(java.lang.String columnLabel)
                                        throws java.sql.SQLException

  Returns the value of the specified column as an input stream.

  Specified by:
    `getBinaryStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getClob

    public java.sql.Clob getClob(int columnIndex)
                          throws java.sql.SQLException

  Returns the value of the specified column as a Clob.

  Specified by:
    `getClob` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getClob

    public java.sql.Clob getClob(java.lang.String columnLabel)
                          throws java.sql.SQLException

  Returns the value of the specified column as a Clob.

  Specified by:
    `getClob` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getArray

    public java.sql.Array getArray(int columnIndex)
                            throws java.sql.SQLException

  Returns the value of the specified column as an Array.

  Specified by:
    `getArray` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getArray

    public java.sql.Array getArray(java.lang.String columnLabel)
                            throws java.sql.SQLException

  Returns the value of the specified column as an Array.

  Specified by:
    `getArray` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getAsciiStream

    public java.io.InputStream getAsciiStream(int columnIndex)
                                       throws java.sql.SQLException

  Returns the value of the specified column as an input stream.

  Specified by:
    `getAsciiStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getAsciiStream

    public java.io.InputStream getAsciiStream(java.lang.String columnLabel)
                                       throws java.sql.SQLException

  Returns the value of the specified column as an input stream.

  Specified by:
    `getAsciiStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getCharacterStream

    public java.io.Reader getCharacterStream(int columnIndex)
                                      throws java.sql.SQLException

  Returns the value of the specified column as a reader.

  Specified by:
    `getCharacterStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String columnLabel)
                                      throws java.sql.SQLException

  Returns the value of the specified column as a reader.

  Specified by:
    `getCharacterStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Returns:
    the value
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### getURL

    public java.net.URL getURL(int columnIndex)
                        throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getURL` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getURL

    public java.net.URL getURL(java.lang.String columnLabel)
                        throws java.sql.SQLException

  [Not supported]

  Specified by:
    `getURL` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNull

    public void updateNull(int columnIndex)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateNull` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateNull

    public void updateNull(java.lang.String columnLabel)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateNull` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBoolean

    public void updateBoolean(int columnIndex,
                              boolean x)
                       throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateBoolean` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBoolean

    public void updateBoolean(java.lang.String columnLabel,
                              boolean x)
                       throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateBoolean` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if result set is closed or not updatable

### updateByte

    public void updateByte(int columnIndex,
                           byte x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateByte` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateByte

    public void updateByte(java.lang.String columnLabel,
                           byte x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateByte` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBytes

    public void updateBytes(int columnIndex,
                            byte[] x)
                     throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateBytes` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBytes

    public void updateBytes(java.lang.String columnLabel,
                            byte[] x)
                     throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateBytes` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateShort

    public void updateShort(int columnIndex,
                            short x)
                     throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateShort` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateShort

    public void updateShort(java.lang.String columnLabel,
                            short x)
                     throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateShort` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateInt

    public void updateInt(int columnIndex,
                          int x)
                   throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateInt` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateInt

    public void updateInt(java.lang.String columnLabel,
                          int x)
                   throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateInt` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateLong

    public void updateLong(int columnIndex,
                           long x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateLong` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateLong

    public void updateLong(java.lang.String columnLabel,
                           long x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateLong` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateFloat

    public void updateFloat(int columnIndex,
                            float x)
                     throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateFloat` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateFloat

    public void updateFloat(java.lang.String columnLabel,
                            float x)
                     throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateFloat` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateDouble

    public void updateDouble(int columnIndex,
                             double x)
                      throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateDouble` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateDouble

    public void updateDouble(java.lang.String columnLabel,
                             double x)
                      throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateDouble` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBigDecimal

    public void updateBigDecimal(java.lang.String columnLabel,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateString

    public void updateString(int columnIndex,
                             java.lang.String x)
                      throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateString` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateString

    public void updateString(java.lang.String columnLabel,
                             java.lang.String x)
                      throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateString` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateDate

    public void updateDate(int columnIndex,
                           java.sql.Date x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateDate

    public void updateDate(java.lang.String columnLabel,
                           java.sql.Date x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateTime

    public void updateTime(int columnIndex,
                           java.sql.Time x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateTime

    public void updateTime(java.lang.String columnLabel,
                           java.sql.Time x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateTimestamp

    public void updateTimestamp(int columnIndex,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateTimestamp

    public void updateTimestamp(java.lang.String columnLabel,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
    `length` - the number of characters
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x)
                           throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x,
                                  long length)
                           throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
    `length` - the number of characters
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnLabel,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
    `length` - the number of characters
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnLabel,
                                  java.io.InputStream x)
                           throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed

### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnLabel,
                                  java.io.InputStream x,
                                  long length)
                           throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnLabel` - the column label
    `x` - the value
    `length` - the number of characters
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
    `length` - the number of characters
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x)
                            throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x,
                                   long length)
                            throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
    `length` - the number of characters
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnLabel,
                                   java.io.InputStream x)
                            throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnLabel,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
    `length` - the number of characters
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnLabel,
                                   java.io.InputStream x,
                                   long length)
                            throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnLabel` - the column label
    `x` - the value
    `length` - the number of characters
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x,
                                      long length)
                               throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
    `length` - the number of characters
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
    `length` - the number of characters
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x)
                               throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnLabel,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
    `length` - the number of characters
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnLabel,
                                      java.io.Reader x)
                               throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnLabel,
                                      java.io.Reader x,
                                      long length)
                               throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnLabel` - the column label
    `x` - the value
    `length` - the number of characters
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
    `scale` - is ignored
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateObject

    public void updateObject(java.lang.String columnLabel,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
    `scale` - is ignored
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x)
                      throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateObject

    public void updateObject(java.lang.String columnLabel,
                             java.lang.Object x)
                      throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateRef

    public void updateRef(int columnIndex,
                          java.sql.Ref x)
                   throws java.sql.SQLException

  [Not supported]

  Specified by:
    `updateRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateRef

    public void updateRef(java.lang.String columnLabel,
                          java.sql.Ref x)
                   throws java.sql.SQLException

  [Not supported]

  Specified by:
    `updateRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBlob

    public void updateBlob(int columnIndex,
                           java.io.InputStream x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBlob

    public void updateBlob(int columnIndex,
                           java.io.InputStream x,
                           long length)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
    `length` - the length
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBlob

    public void updateBlob(int columnIndex,
                           java.sql.Blob x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBlob

    public void updateBlob(java.lang.String columnLabel,
                           java.sql.Blob x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBlob

    public void updateBlob(java.lang.String columnLabel,
                           java.io.InputStream x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateBlob

    public void updateBlob(java.lang.String columnLabel,
                           java.io.InputStream x,
                           long length)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnLabel` - the column label
    `x` - the value
    `length` - the length
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateClob

    public void updateClob(int columnIndex,
                           java.sql.Clob x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateClob

    public void updateClob(int columnIndex,
                           java.io.Reader x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateClob

    public void updateClob(int columnIndex,
                           java.io.Reader x,
                           long length)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnIndex` - (1,2,...)
    `x` - the value
    `length` - the length
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateClob

    public void updateClob(java.lang.String columnLabel,
                           java.sql.Clob x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateClob

    public void updateClob(java.lang.String columnLabel,
                           java.io.Reader x)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnLabel` - the column label
    `x` - the value
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateClob

    public void updateClob(java.lang.String columnLabel,
                           java.io.Reader x,
                           long length)
                    throws java.sql.SQLException

  Updates a column in the current or insert row.

  Parameters:
    `columnLabel` - the column label
    `x` - the value
    `length` - the length
  Throws:
    `java.sql.SQLException` - if the result set is closed or not updatable

### updateArray

    public void updateArray(int columnIndex,
                            java.sql.Array x)
                     throws java.sql.SQLException

  [Not supported]

  Specified by:
    `updateArray` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateArray

    public void updateArray(java.lang.String columnLabel,
                            java.sql.Array x)
                     throws java.sql.SQLException

  [Not supported]

  Specified by:
    `updateArray` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getCursorName

    public java.lang.String getCursorName()
                                   throws java.sql.SQLException

  [Not supported] Gets the cursor name if it was defined. This feature is superseded by updateX methods. This method throws a SQLException because cursor names are not supported.

  Specified by:
    `getCursorName` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getRow

    public int getRow()
               throws java.sql.SQLException

  Gets the current row number. The first row is row 1, the second 2 and so on. This method returns 0 before the first and after the last row.

  Specified by:
    `getRow` in interface `java.sql.ResultSet`
  Returns:
    the row number
  Throws:
    `java.sql.SQLException`

### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

  Gets the result set concurrency. Result sets are only updatable if the statement was created with updatable concurrency, and if the result set contains all columns of the primary key or of a unique index of a table.

  Specified by:
    `getConcurrency` in interface `java.sql.ResultSet`
  Returns:
    ResultSet.CONCUR_UPDATABLE if the result set is updatable, or ResultSet.CONCUR_READ_ONLY otherwise
  Throws:
    `java.sql.SQLException`

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Gets the fetch direction.

  Specified by:
    `getFetchDirection` in interface `java.sql.ResultSet`
  Returns:
    the direction: FETCH_FORWARD
  Throws:
    `java.sql.SQLException`

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Gets the number of rows suggested to read in one step.

  Specified by:
    `getFetchSize` in interface `java.sql.ResultSet`
  Returns:
    the current fetch size
  Throws:
    `java.sql.SQLException`

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  Sets the number of rows suggested to read in one step. This value cannot be higher than the maximum rows (setMaxRows) set by the statement or prepared statement, otherwise an exception is throws. Setting the value to 0 will set the default value. The default value can be changed using the system property h2.serverResultSetFetchSize.

  Specified by:
    `setFetchSize` in interface `java.sql.ResultSet`
  Parameters:
    `rows` - the number of rows
  Throws:
    `java.sql.SQLException`

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  [Not supported] Sets (changes) the fetch direction for this result set. This method should only be called for scrollable result sets, otherwise it will throw an exception (no matter what direction is used).

  Specified by:
    `setFetchDirection` in interface `java.sql.ResultSet`
  Parameters:
    `direction` - the new fetch direction
  Throws:
    `java.sql.SQLException` - Unsupported Feature if the method is called for a forward-only result set

### getType

    public int getType()
                throws java.sql.SQLException

  Get the result set type.

  Specified by:
    `getType` in interface `java.sql.ResultSet`
  Returns:
    the result set type (TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE or TYPE_SCROLL_SENSITIVE)
  Throws:
    `java.sql.SQLException` - if the column is not found or if the result set is closed

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

  Checks if the current position is before the first row, that means next() was not called yet, and there is at least one row.

  Specified by:
    `isBeforeFirst` in interface `java.sql.ResultSet`
  Returns:
    if there are results and the current position is before the first row
  Throws:
    `java.sql.SQLException` - if the result set is closed

### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

  Checks if the current position is after the last row, that means next() was called and returned false, and there was at least one row.

  Specified by:
    `isAfterLast` in interface `java.sql.ResultSet`
  Returns:
    if there are results and the current position is after the last row
  Throws:
    `java.sql.SQLException` - if the result set is closed

### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

  Checks if the current position is row 1, that means next() was called once and returned true.

  Specified by:
    `isFirst` in interface `java.sql.ResultSet`
  Returns:
    if the current position is the first row
  Throws:
    `java.sql.SQLException` - if the result set is closed

### isLast

    public boolean isLast()
                   throws java.sql.SQLException

  Checks if the current position is the last row, that means next() was called and did not yet returned false, but will in the next call.

  Specified by:
    `isLast` in interface `java.sql.ResultSet`
  Returns:
    if the current position is the last row
  Throws:
    `java.sql.SQLException` - if the result set is closed

### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

  Moves the current position to before the first row, that means resets the result set.

  Specified by:
    `beforeFirst` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if the result set is closed

### afterLast

    public void afterLast()
                   throws java.sql.SQLException

  Moves the current position to after the last row, that means after the end.

  Specified by:
    `afterLast` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if the result set is closed

### first

    public boolean first()
                  throws java.sql.SQLException

  Moves the current position to the first row. This is the same as calling beforeFirst() followed by next().

  Specified by:
    `first` in interface `java.sql.ResultSet`
  Returns:
    true if there is a row available, false if not
  Throws:
    `java.sql.SQLException` - if the result set is closed

### last

    public boolean last()
                 throws java.sql.SQLException

  Moves the current position to the last row.

  Specified by:
    `last` in interface `java.sql.ResultSet`
  Returns:
    true if there is a row available, false if not
  Throws:
    `java.sql.SQLException` - if the result set is closed

### absolute

    public boolean absolute(int rowNumber)
                     throws java.sql.SQLException

  Moves the current position to a specific row.

  Specified by:
    `absolute` in interface `java.sql.ResultSet`
  Parameters:
    `rowNumber` - the row number. 0 is not allowed, 1 means the first row, 2 the second. -1 means the last row, -2 the row before the last row. If the value is too large, the position is moved after the last row, if if the value is too small it is moved before the first row.
  Returns:
    true if there is a row available, false if not
  Throws:
    `java.sql.SQLException` - if the result set is closed

### relative

    public boolean relative(int rowCount)
                     throws java.sql.SQLException

  Moves the current position to a specific row relative to the current row.

  Specified by:
    `relative` in interface `java.sql.ResultSet`
  Parameters:
    `rowCount` - 0 means don't do anything, 1 is the next row, -1 the previous. If the value is too large, the position is moved after the last row, if if the value is too small it is moved before the first row.
  Returns:
    true if there is a row available, false if not
  Throws:
    `java.sql.SQLException` - if the result set is closed

### previous

    public boolean previous()
                     throws java.sql.SQLException

  Moves the cursor to the last row, or row before first row if the current position is the first row.

  Specified by:
    `previous` in interface `java.sql.ResultSet`
  Returns:
    true if there is a row available, false if not
  Throws:
    `java.sql.SQLException` - if the result set is closed

### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

  Moves the current position to the insert row. The current row is remembered.

  Specified by:
    `moveToInsertRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if the result set is closed or is not updatable

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

  Moves the current position to the current row.

  Specified by:
    `moveToCurrentRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if the result set is closed or is not updatable

### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

  Detects if the row was updated (by somebody else or the caller).

  Specified by:
    `rowUpdated` in interface `java.sql.ResultSet`
  Returns:
    false because this driver does not detect this
  Throws:
    `java.sql.SQLException`

### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

  Detects if the row was inserted.

  Specified by:
    `rowInserted` in interface `java.sql.ResultSet`
  Returns:
    false because this driver does not detect this
  Throws:
    `java.sql.SQLException`

### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

  Detects if the row was deleted (by somebody else or the caller).

  Specified by:
    `rowDeleted` in interface `java.sql.ResultSet`
  Returns:
    false because this driver does not detect this
  Throws:
    `java.sql.SQLException`

### insertRow

    public void insertRow()
                   throws java.sql.SQLException

  Inserts the current row. The current position must be the insert row.

  Specified by:
    `insertRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if the result set is closed or if not on the insert row, or if the result set it not updatable

### updateRow

    public void updateRow()
                   throws java.sql.SQLException

  Updates the current row.

  Specified by:
    `updateRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if the result set is closed, if the current row is the insert row or if not on a valid row, or if the result set it not updatable

### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

  Deletes the current row.

  Specified by:
    `deleteRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if the result set is closed, if the current row is the insert row or if not on a valid row, or if the result set it not updatable

### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

  Re-reads the current row from the database.

  Specified by:
    `refreshRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if the result set is closed or if the current row is the insert row or if the row has been deleted or if not on a valid row

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

  Cancels updating a row.

  Specified by:
    `cancelRowUpdates` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if the result set is closed or if the current row is the insert row

### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

  Returns the current result set holdability.

  Returns:
    the holdability
  Throws:
    `java.sql.SQLException` - if the connection is closed

### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

  Returns whether this result set is closed.

  Returns:
    true if the result set is closed
  Throws:
    `java.sql.SQLException`

### toString

    public java.lang.String toString()

  INTERNAL

  Overrides:
    `toString` in class `java.lang.Object`